Altibase.jdbc.driver.sharding.algorithm

## Class HashGenerator

- java.lang.Object
- - Altibase.jdbc.driver.sharding.algorithm.HashGenerator

    public class HashGenerator
    extends java.lang.Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `doHash(Column aParameter, ShardKeyDataType aShardKeyDataType, java.lang.String aServerCharSet)`
`static HashGenerator` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static HashGenerator getInstance()

#### doHash

    public long doHash(Column aParameter,
                       ShardKeyDataType aShardKeyDataType,
                       java.lang.String aServerCharSet)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`